Workflow
Build and manage workflows in VARIO Cloud via API, including triggers, elements, scripts, savepoints, imports, exports, and activation.
the workflow API
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
Resource with given ID was not found
GET /cmn/workflows/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
Resource was not found
Resource was not valid to process
PUT /cmn/workflows/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 172
{
"version": "text",
"info": {},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"successorRef": {
"id": "text"
},
"predecessorRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /cmn/workflows/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Elements
Ggf weitere Beschreibung
Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
Skript, welches ausgeführt werden soll
Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?
Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden
trueFür INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds
Mögliche Ergebnisse/Ausgänge beim Split
Verzögerung von Timern
Der ausführende Benutzer ist auch der verantwortliche Benutzer
falseGET /cmn/workflows/{id}/workflow-elements/{element-id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"type": "START_EVENT",
"script": "text",
"scriptModuleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parameters": [],
"sequelElementRefs": [],
"uiData": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"intermediateEventIdentifiers": [
"text"
],
"triggerSingleInstance": true,
"guardingIntervalInSeconds": 1,
"possibleSplitResults": [
"text"
],
"timeoutAfterSeconds": 1,
"responsibleUserRefs": [],
"responsibleUserGroupRefs": [],
"userDecisions": [],
"responsibleUserIsExecutingUser": false,
"subWorkflowRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Elements
Ggf weitere Beschreibung
Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
Skript, welches ausgeführt werden soll
Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?
Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden
trueFür INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds
Mögliche Ergebnisse/Ausgänge beim Split
Verzögerung von Timern
Der ausführende Benutzer ist auch der verantwortliche Benutzer
falseOK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Elements
Ggf weitere Beschreibung
Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
Skript, welches ausgeführt werden soll
Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?
Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden
trueFür INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds
Mögliche Ergebnisse/Ausgänge beim Split
Verzögerung von Timern
Der ausführende Benutzer ist auch der verantwortliche Benutzer
falsePUT /cmn/workflows/{id}/workflow-elements/{element-id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 832
{
"version": "text",
"info": {},
"id": "text",
"name": "text",
"description": "text",
"type": "START_EVENT",
"script": "text",
"scriptModuleRef": {
"id": "text"
},
"parameters": [],
"uiData": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"intermediateEventIdentifiers": [
"text"
],
"triggerSingleInstance": true,
"guardingIntervalInSeconds": 1,
"possibleSplitResults": [
"text"
],
"timeoutAfterSeconds": 1,
"responsibleUserRefs": [],
"responsibleUserGroupRefs": [],
"userDecisions": [],
"responsibleUserIsExecutingUser": false,
"subWorkflowRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"type": "START_EVENT",
"script": "text",
"scriptModuleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parameters": [],
"sequelElementRefs": [],
"uiData": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"intermediateEventIdentifiers": [
"text"
],
"triggerSingleInstance": true,
"guardingIntervalInSeconds": 1,
"possibleSplitResults": [
"text"
],
"timeoutAfterSeconds": 1,
"responsibleUserRefs": [],
"responsibleUserGroupRefs": [],
"userDecisions": [],
"responsibleUserIsExecutingUser": false,
"subWorkflowRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}OK
message context
message
DELETE /cmn/workflows/{id}/workflow-elements/{element-id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
workflow not found
PUT /cmn/workflows/{id}/setSavePointBeginEditing HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
workflow not found
PUT /cmn/workflows/{id}/restoreSavePointAfterCancelEditing HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
workflow not found
PUT /cmn/workflows/{id}/restoreNextSavePoint HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
workflow not found
PUT /cmn/workflows/{id}/restoreLastSavePoint HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
workflow not found
PUT /cmn/workflows/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}der neue Name für den Workflow
die neue Beschreibung des Worklflows
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
PUT /cmn/workflows/{id}/changeNameAndDescription HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"name": "text",
"description": "text"
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
workflow not found
PUT /cmn/workflows/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
Resource was not valid to process
POST /cmn/workflows HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 172
{
"version": "text",
"info": {},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"successorRef": {
"id": "text"
},
"predecessorRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Elements
Ggf weitere Beschreibung
Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
Skript, welches ausgeführt werden soll
Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?
Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden
trueFür INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds
Mögliche Ergebnisse/Ausgänge beim Split
Verzögerung von Timern
Der ausführende Benutzer ist auch der verantwortliche Benutzer
falseGET /cmn/workflows/{id}/workflow-elements HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Elements
Ggf weitere Beschreibung
Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
Skript, welches ausgeführt werden soll
Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?
Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden
trueFür INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds
Mögliche Ergebnisse/Ausgänge beim Split
Verzögerung von Timern
Der ausführende Benutzer ist auch der verantwortliche Benutzer
falseOK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Elements
Ggf weitere Beschreibung
Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
Skript, welches ausgeführt werden soll
Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?
Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden
trueFür INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds
Mögliche Ergebnisse/Ausgänge beim Split
Verzögerung von Timern
Der ausführende Benutzer ist auch der verantwortliche Benutzer
falsePOST /cmn/workflows/{id}/workflow-elements HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 832
{
"version": "text",
"info": {},
"id": "text",
"name": "text",
"description": "text",
"type": "START_EVENT",
"script": "text",
"scriptModuleRef": {
"id": "text"
},
"parameters": [],
"uiData": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"intermediateEventIdentifiers": [
"text"
],
"triggerSingleInstance": true,
"guardingIntervalInSeconds": 1,
"possibleSplitResults": [
"text"
],
"timeoutAfterSeconds": 1,
"responsibleUserRefs": [],
"responsibleUserGroupRefs": [],
"userDecisions": [],
"responsibleUserIsExecutingUser": false,
"subWorkflowRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"type": "START_EVENT",
"script": "text",
"scriptModuleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parameters": [],
"sequelElementRefs": [],
"uiData": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"intermediateEventIdentifiers": [
"text"
],
"triggerSingleInstance": true,
"guardingIntervalInSeconds": 1,
"possibleSplitResults": [
"text"
],
"timeoutAfterSeconds": 1,
"responsibleUserRefs": [],
"responsibleUserGroupRefs": [],
"userDecisions": [],
"responsibleUserIsExecutingUser": false,
"subWorkflowRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}OK
No content
POST /cmn/workflows/{id}/workflow-elements/edge/{source-id}/to/{target-id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
OK
No content
DELETE /cmn/workflows/{id}/workflow-elements/edge/{source-id}/to/{target-id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
Führt ein Skript in einer "Sandbox" aus
ID des Workflows, in dessen Kontext das Skript ausgeführt werden soll
Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
Das auszuführende Skript
OK
POST /cmn/workflows/try-execute-script HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 116
{
"workflowId": 1,
"workflowElementType": "START_EVENT",
"script": "text",
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}OK
{}Search-Dialog
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
POST /cmn/workflows/import HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 363
{
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt
OK
Beschreibung zu einem Skript
GET /cmn/workflows/{id}/script-context-description?elementType=START_EVENT HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"mainInstance": {
"name": "text",
"description": "text",
"moduleName": "text",
"attributes": [],
"methods": [],
"usageExample": "text",
"type": "INSTANCE"
},
"availableTypes": [],
"availableInput": []
}OK
Search-Dialog
GET /cmn/workflows/{id}/export HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Name des Workflows
Beschreibung des Workflows
Wann wird dieser Workflow ausgelöst?
Handelt es sich um einen Unter-Workflow?
falseStatus des Workflows
DRAFTPossible values: Synchroner Workflow?
GET /cmn/workflows/{id}/editable-copy HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"name": "text",
"description": "text",
"trigger": "text",
"subWorkflow": false,
"state": "DRAFT",
"synchronous": true,
"successorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"predecessorRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}OK
Unique identifier of the Object
Thema, das diesen Workflow auslöst
Genauerer Name des auslösers
GET /cmn/workflows/triggers HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]OK
Definition eines Search-Dialogs
Identifier des Search-Dialogs
GET /cmn/workflows/search-dialogs HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]Last updated
Was this helpful?